# norootforbuild

%define _name			gst-plugins-base
%define gst_branch		0.10
%define gstreamer010_plugins_base_req %(zgrep --text "^GST.*_REQ" %{S:0} | sort -u | sed 's/GST_REQ=/gstreamer-0_10 >= /')

%define _prefix			/usr
%define _bindir			%{_prefix}/bin
%define _mandir			%{_prefix}/share/man
%define _infodir		%{_prefix}/share/info
%define _sysconfdir		/etc%{_prefix}
%define _localstatedir	/var%{_prefix}
%define _libdir			%{_prefix}/%{_lib}
%define _includedir		%{_prefix}/include

Name:			gstreamer-0_10-plugins-base
License:		LGPL
Group:			System/GUI/GNOME
Version:		0.10.21
Release:		45.14
Source:			http://gstreamer.freedesktop.org/src/gst-plugins-base/%{_name}-%{version}.tar.bz2
URL:			http://gstreamer.freedesktop.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Summary:		GStreamer Streaming-Media Framework Plug-Ins
Obsoletes:		gstreamer-plugin-libs
Enhances:		gstreamer-0_10
PreReq:			filesystem
BuildRequires:	alsa-devel
BuildRequires:	audiofile-devel
BuildRequires:	cdparanoia
BuildRequires:	check-devel
BuildRequires:	fam-devel fam
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gstreamer-0_10-devel
BuildRequires:	gtk2-devel
BuildRequires:	gtkdoc >= 1.3
BuildRequires:	krb5
BuildRequires:	liboil-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvisual-devel
BuildRequires:	libvorbis-devel
BuildRequires:	mDNSResponder-lib
BuildRequires:	python-devel
BuildRequires:	pyxml
BuildRequires:	sgml-skel
BuildRequires:	update-desktop-files
%ifarch %ix86 ppc x86_64
BuildRequires:	valgrind
%endif
Requires:		%{name}-lang = %{version}
# Core modules may depend on new enough libraries:
Requires:		libgstinterfaces-0_10-0 >= %{version}
Requires:		%{name}-lang = %{version}
#Requires:		%gstreamer010_plugins_base_req
Requires:		gstreamer-0_10 >= 0.10.20
# Name up to 10.3:
Provides:		gstreamer010-plugins-base = %{version}
Obsoletes:		gstreamer010-plugins-base <= %{version}
# Names of formrly splitted subpackages
Provides:		gstreamer010-plugins-base-oil = %{version}-%{release}
Provides:		gstreamer010-plugins-base-visual = %{version}-%{release}
Obsoletes:		gstreamer010-plugins-base-oil <= %{version}-%{release}
Obsoletes:		gstreamer010-plugins-base-visual <= %{version}-%{release}

%description
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

%package devel
Summary:	GStreamer Streaming-Media Framework Plug-Ins
Group:		Development/Libraries/GNOME
Requires:	%{name} = %{version}
Requires:	gstreamer-0_10-devel
Requires:	alsa-devel
Requires:	audiofile-devel
Requires:	check-devel
Requires:	fam-devel fam
Requires:	gnome-vfs2-devel
Requires:	glib2-devel
Requires:	gtk2-devel
Requires:	liboil-devel >= 0.3.6
Requires:	libtheora-devel
Requires:	libvisual-devel
Requires:	libvorbis-devel
Requires:	mDNSResponder-lib
Requires:	python-devel
Requires:	pyxml
Requires:	sgml-skel
%ifarch %ix86 ppc x86_64
Requires:	valgrind
%endif
# Name up to 10.3:
Provides:	gstreamer010-plugins-base-devel = %{version}
Obsoletes:	gstreamer010-plugins-base-devel <= %{version}

%description devel
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

%package doc
Summary:	GStreamer Streaming-Media Framework Plug-Ins
Group:		Documentation/Other
Requires:	%{name} = %{version}
# Name up to 10.3:
Provides:	gstreamer010-plugins-base-doc = %{version}
Obsoletes:	gstreamer010-plugins-base-doc <= %{version}

%description doc
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

%package -n libgstinterfaces-0_10-0
# This is a library package bundle, which contains more shared
# libraries. Use the name of the lowest level one, because libgstbase
# may cause confusion (it is a part of libgstreamer-0_10-0).
Summary:	GStreamer Streaming-Media Framework Plug-Ins
Group:		System/Libraries
# We want to have base modules installed:
Requires:	%{name}
# Name of previous branch
Obsoletes:	gstreamer-plugin-libs <= 0.10

%description -n libgstinterfaces-0_10-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing newplug-ins.

%lang_package
%debug_package

%prep
%setup -q -n %{_name}-%{version}
%{?suse_update_config:%{suse_update_config}}
NOCONFIGURE=1 ./autogen.sh

%build
#export LIBVISUAL_LIBS="-L /usr/lib -lpthread -lm -ldl -lvisual"
%configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--sysconfdir=%{_sysconfdir} \
	--localstatedir=%{_localstatedir} \
	--enable-cdparanoia \
	--enable-gtk-doc \
	--enable-dependency-tracking \
	--enable-plugin-docs \
	--enable-tests \

%if 0%{?suse_version} <= 1030
# we have no gtkdoc-rebase ..
%__sed -i -e 's|gtkdoc-rebase|true|g' \
	docs/libs/Makefile
%endif

# NOTE: without -i the build breaks in scanning some plugins 
%__make -i %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm %{buildroot}%{_libdir}/gstreamer-%{gst_branch}/*.*a

gzip -9nf %{buildroot}%{_mandir}/man?/*.?

%find_lang %{_name}-%{gst_branch}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%post -n libgstinterfaces-0_10-0 -p /sbin/ldconfig

%postun -n libgstinterfaces-0_10-0 -p /sbin/ldconfig

%files -f %{_name}-%{gst_branch}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB NEWS README RELEASE REQUIREMENTS
%doc %{_mandir}/man1/*.*
%if 0%{?suse_version} >= 1030
%{_bindir}/gst-visualise-%{gst_branch}
%endif
%dir %{_libdir}/gstreamer-%{gst_branch}
%{_libdir}/gstreamer-%{gst_branch}/libgstadder.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalsa.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudioconvert.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiorate.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudioresample.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiotestsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcdparanoia.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdecodebin.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdecodebin2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstffmpegcolorspace.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgdp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgnomevfs.so
%{_libdir}/gstreamer-%{gst_branch}/libgstogg.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpango.so
%{_libdir}/gstreamer-%{gst_branch}/libgstplaybin.so
%{_libdir}/gstreamer-%{gst_branch}/libgstqueue2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsubparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttcp.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttheora.so
#%{_libdir}/gstreamer-%{gst_branch}/libgsturidecodebin.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttypefindfunctions.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideo4linux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideorate.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideoscale.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideotestsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstlibvisual.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvolume.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvorbis.so
%{_libdir}/gstreamer-%{gst_branch}/libgstximagesink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstxvimagesink.so

%files devel
%defattr(-, root, root)
%dir %{_includedir}/gstreamer-%{gst_branch}
%{_includedir}/gstreamer-%{gst_branch}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_prefix}/%{_lib}/pkgconfig/*.pc

%files doc
%defattr(-, root, root)
%{_prefix}/share/gtk-doc/html/gst-plugins-base-libs-%{gst_branch}
%{_prefix}/share/gtk-doc/html/gst-plugins-base-plugins-%{gst_branch}

%files lang -f %{_name}-%{gst_branch}.lang

%files -n libgstinterfaces-0_10-0
%defattr(-, root, root)
%{_libdir}/*.so.*

%changelog
* Sat Dec 27 2008 Carsten Schoene <cs@linux-administrator.com> - 0.10
- initial import

